Bug 122197 - Font sizes are not exhibited in Find & Replace window nor applied.
Summary: Font sizes are not exhibited in Find & Replace window nor applied.
Status: UNCONFIRMED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.2.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find&Replace-Dialog
  Show dependency treegraph
 
Reported: 2018-12-19 14:02 UTC by ricky.tigg
Modified: 2019-11-25 11:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer_v.6.1.2.1_Find&Replace_Format (50.00 KB, application/x-tar)
2018-12-19 14:02 UTC, ricky.tigg
Details
Find & Replace dialog Format button panel on Windows 6.1.4.2 build (14.08 KB, image/png)
2018-12-19 16:20 UTC, V Stuart Foote
Details
Can't reproduce it in LibreOffice 6.1.3.2 (36.62 KB, image/png)
2018-12-20 12:13 UTC, Xisco Faulí
Details
illustration of targeted expression (26.41 KB, image/png)
2019-01-26 15:23 UTC, ricky.tigg
Details
Illustration of issue (44.08 KB, image/png)
2019-07-31 13:01 UTC, ricky.tigg
Details
illustration of issue (20.67 KB, image/png)
2019-11-19 14:04 UTC, ricky.tigg
Details
Illustration of issue (46.25 KB, image/png)
2019-11-25 11:21 UTC, ricky.tigg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ricky.tigg 2018-12-19 14:02:07 UTC
Created attachment 147669 [details]
Writer_v.6.1.2.1_Find&Replace_Format

OS: Fedora
Version: 6.1.2.1
Build ID: 6.1.2.1-4.fc29
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.UTF-8); Calc: group threaded

Font sizes are not exhibited in Find & Replace window nor applied. Replace-operations fail to apply selections made in Format to existent targets.

To reproduce: 
1. Select Edit | Find % Replace | Format...;
2. Settings for Find field are as illustrated in Writer_v.6.1.2.1_Find&Replace_Format_1.png;
3. Settings for Find field are as illustrated in Writer_v.6.1.2.1_Find&Replace_Format_2.png.

Current results: Font sizes are not exhibited as illustrated in Writer_v.6.1.2.1_Find&Replace_Format_3.png nor applied. Replace-operations fail to apply current selection to existent targets.

Expected results: Font sizes to be exhibited in illustration Writer_v.6.1.2.1_Find&Replace_Format_3.png and applied. Replace-operations to succeed to apply current selection to existent targets.
Comment 1 Durgapriyanka 2018-12-19 15:50:54 UTC
Thank you for reporting the bug. I can confirm that the bug is present in

Version: 6.3.0.0.alpha0+
Build ID: 3c964980da07892a02d5ac721d80558c459532d0
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-12_02:07:45
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

However, the Font sizes are exhibited in Find & Replace window, but the changes are not applied.
Comment 2 V Stuart Foote 2018-12-19 16:20:59 UTC
Created attachment 147673 [details]
Find & Replace dialog Format button panel on Windows 6.1.4.2 build

Seems to work correctly on Windows builds, from the Format panel the selected font Size is present when used in the Find or the Replace formatting.

Version: 6.1.4.2 (x64)
Build ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
Locale: en-US (en_US); Calc: CL
Comment 3 V Stuart Foote 2018-12-19 16:22:49 UTC
(In reply to Durgapriyanka from comment #1)

> However, the Font sizes are exhibited in Find & Replace window, but the
> changes are not applied.

Hmm, font size changes *are* applied on Windows builds where the match occurs. Be sure to check to match in Styles as well.
Comment 4 Xisco Faulí 2018-12-20 12:13:03 UTC
Created attachment 147694 [details]
Can't reproduce it in LibreOffice 6.1.3.2
Comment 5 Xisco Faulí 2018-12-20 12:13:43 UTC
Thank you for reporting the bug. To be certain the reported issue is not
related to corruption in the user profile, could you please reset your
Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and
re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the issue is still present
Comment 6 ricky.tigg 2018-12-20 13:35:01 UTC
Safe mode used: Restore from backup – no option checked –; no effect.
Comment 7 ricky.tigg 2018-12-20 13:58:25 UTC
Safe mode used: Reset to factory settings – both options checked – | Apply changes and restart; no effect.
Comment 8 Buovjaga 2019-01-26 12:53:38 UTC
The sizes are shown in the dialog and changes are applied.

All testers used a version newer than 6.1.2, so it would be interesting to hear results with the latest version. Setting to NEEDINFO.

Arch Linux 64-bit
Version: 6.1.4.2
Build ID: 6.1.4-4
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded

Version: 6.3.0.0.alpha0+
Build ID: 3a4d46c586352939a37e3b07fa74cbce81abd722
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded
Comment 9 ricky.tigg 2019-01-26 15:23:14 UTC
Created attachment 148679 [details]
illustration of targeted expression

Version: 6.1.4.2; Build ID: 6.1.4.2-1.fc29; CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: gtk3; Locale: en-GB (en_GB.UTF-8); Calc: group threaded

The sizes are now shown in the dialogue. Changes are still not applied – see Writer_Expression_targeted.png–. Find field left empty, be option Regular expressions unchecked or checked.
Comment 10 Xisco Faulí 2019-07-31 11:35:26 UTC
A new major release of LibreOffice is available since this bug was reported.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 11 ricky.tigg 2019-07-31 13:01:09 UTC
Created attachment 153074 [details]
Illustration of issue

Version: 6.2.5.2; Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159;
CPU threads: 2; OS: Linux 5.1; UI render: default; VCL: gtk3; Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US; Calc: threaded

Same observations: see v.6.2.5.2_Find&Replace_Format.png
Comment 12 QA Administrators 2019-08-01 03:37:42 UTC Comment hidden (obsolete)
Comment 13 Dieter 2019-11-19 07:08:42 UTC
Ricky, perhaps it is related to bug 126527, that is fixed in LO 6.4. So could you give it a try with 6.4.0.0.beta1?

=> NEEDINFO
Comment 14 ricky.tigg 2019-11-19 08:11:54 UTC
Hey. File not ready yet for testing as Appimage for RPM packages at https://wiki.documentfoundation.org/QA/GetInvolved#Test_Pre-releases then link http://libreoffice.soluzioniopen.com/index.php/pre-releases/.
Comment 15 Buovjaga 2019-11-19 11:12:14 UTC
The daily build appimage is new enough to have Jim's fix: http://libreoffice.soluzioniopen.com/index.php/daily-version/
Comment 16 ricky.tigg 2019-11-19 14:04:19 UTC
Created attachment 155942 [details]
illustration of issue

Version: 6.4.0.0.alpha1+; Build ID: 80109586e6cb6d3e2e0a53a9079c3125ec9b8368; CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: gtk3; TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-11-01_23:56:52; Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US; Calc: threaded

Still fails to find existent matches.
Comment 17 QA Administrators 2019-11-20 03:52:33 UTC Comment hidden (obsolete)
Comment 18 Buovjaga 2019-11-23 17:31:42 UTC
(In reply to ricky.tigg from comment #11)
> Created attachment 153074 [details]
> Illustration of issue
> 
> Version: 6.2.5.2; Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159;
> CPU threads: 2; OS: Linux 5.1; UI render: default; VCL: gtk3; Locale: fi-FI
> (fi_FI.UTF-8); UI-Language: en-US; Calc: threaded
> 
> Same observations: see v.6.2.5.2_Find&Replace_Format.png

In this older screenshot, you don't have "Including styles" checked. Stuart advised in comment 3 to check it. Can you test again with this option?
Comment 19 ricky.tigg 2019-11-25 11:21:17 UTC
Created attachment 156089 [details]
Illustration of issue

I noticed one more issie from Writer_v.6.1.2.1_Find&Replace_Format_3.png itself from Writer_v.6.1.2.1_Find&Replace_Format.tar. Styles, which were set as 'Book' and 'Regular' were both changed by Writer as 'Not Italic'.

Having "Including styles" checked as advised, had no beneficial effect.